Package org.codehaus.groovy.ant

# Class UberCompileTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.codehaus.groovy.ant.UberCompileTask

All Implemented Interfaces:
  `Cloneable`

public class UberCompileTask extends Task
Compiles Java and Groovy source files. This works by invoking the `GenerateStubsTask` task, then the `Javac` task and then the `GroovycTask`. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.

Author:
  Jason Dillon

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`UberCompileTask()`

## Method Summary

Modifier and Type
Method
Description
`Path`
`createClasspath()`
`org.codehaus.groovy.ant.UberCompileTask.GenStubsAdapter`
`createGeneratestubs()`
`org.codehaus.groovy.ant.UberCompileTask.GroovycAdapter`
`createGroovyc()`
`org.codehaus.groovy.ant.UberCompileTask.JavacAdapter`
`createJavac()`
`Path`
`createSrc()`
`void`
`execute()`
`Path`
`getClasspath()`
`Path`
`getSrcdir()`
`void`
`setClasspath(Path path)`
`void`
`setClasspathRef(Reference r)`
`void`
`setDestdir(File dir)`
`void`
`setSrcdir(Path dir)`
`protected void`
`validate()`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UberCompileTask

public UberCompileTask()

## Method Details

### createSrc

public Path createSrc()

### setSrcdir

public void setSrcdir(Path dir)

### getSrcdir

public Path getSrcdir()

### setDestdir

public void setDestdir(File dir)

### setClasspath

public void setClasspath(Path path)

### getClasspath

public Path getClasspath()

### createClasspath

public Path createClasspath()

### setClasspathRef

public void setClasspathRef(Reference r)

### createGeneratestubs

public org.codehaus.groovy.ant.UberCompileTask.GenStubsAdapter createGeneratestubs()

### createGroovyc

public org.codehaus.groovy.ant.UberCompileTask.GroovycAdapter createGroovyc()

### createJavac

public org.codehaus.groovy.ant.UberCompileTask.JavacAdapter createJavac()

### validate

protected void validate() throws BuildException

Throws:
  `BuildException`

### execute

public void execute() throws BuildException

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException`